package com.jkcredit.invoice.service.customer;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.customer.CustomerOper;

/**
 * 无车运单导入接口
 * @author mumuxigua
 */
public interface CustomerOperService {

    /**
     * 查找所有备案信息
     *
     * @param page
     * @param customerOper
     * @return
     */
    IPage findAllCustomerOper(Page page, CustomerOper customerOper);


    /**
     * 平台上传指令批次信息保存
     *
     * @param customerName
     * @param operType
     * @return
     */
    String saveCustomerOper(String customerName, int operType);

    int updateStatus(int batchStatus,String batchNumber);

    int countHasNotFinish(String customerName);
}
